#!/bin/sh
#
DataHome="/home/embedded/library/CoreService/dat"

ServerIP="$1"
SenderEmailAddr="$2"
TargetEmailAddr="$3"
IncludeDriveUtilization="$4"
IncludeMediaIntegrity="$5"
IncludeMediaUsage="$6"
IncludeMediaSecurity="$7"
Comment="$8"

ARNtempBodyFilespec="/tmp/ARNtempBody.txt."`date +"%s%N"`

eval "echo ${Comment} > ${ARNtempBodyFilespec}"

# Pre-process the Drive Utilization (DriveLog) file:
if [ "${IncludeDriveUtilization}" = "1" ]; then
   TempDriveLogFileSpec="${DataHome}/DriveLog."`date +"%s%N.csv"`
   echo "Unmount Time,Mount Time,Module,Position,Serial,Partition,Reads (MB),Writes (MB),Motion Time,Barcode" >> ${TempDriveLogFileSpec}
   eval "cat ${DataHome}/DriveLog >> ${TempDriveLogFileSpec}"
   echo ${TempDriveLogFileSpec}
fi

# Pre-process the Media Usage (MediaUsageLog.csv) file:
if [ "${IncludeMediaUsage}" = "1" ]; then
   TempMediaUsageLogFileSpec="${DataHome}/MediaUsageLog."`date +"%s%N.csv"`   
   echo "Time Stamp,Volser,SN,Mfr,Mfr Date,Type,Mounts,RRE,URE,RWE,UWE,LW,LR,Enc" >> ${TempMediaUsageLogFileSpec}
   eval "cat ${DataHome}/MediaUsageLog.csv >> ${TempMediaUsageLogFileSpec}"
   echo ${TempMediaUsageLogFileSpec}
fi

# Pre-process the Media Integrity (TapeAlertLog) file:
if [ "${IncludeMediaIntegrity}" = "1" ]; then
   TempTapeAlertLogFileSpec="${DataHome}/TapeAlertLog."`date +"%s%N.csv"`   
   echo "Date/Time,Serial,Barcode,TapeAlert" >> ${TempTapeAlertLogFileSpec} 
   eval "cat ${DataHome}/TapeAlertLog >> ${TempTapeAlertLogFileSpec}"
   echo ${TempTapeAlertLogFileSpec}
fi

# Pre-process the Media Security (MediaSecurityEventLog.csv) file:
if [ "${IncludeMediaSecurity}" = "1" ]; then
   TempMediaSecurityLogFileSpec="${DataHome}/MediaSecurityEventLog."`date +"%s%N.csv"`   
   echo "Date/Time,Barcode,Type,Slot Location,Slot Type" >> ${TempMediaSecurityLogFileSpec}
   eval "cat ${DataHome}/MediaSecurityEventLog.csv >> ${TempMediaSecurityLogFileSpec}"
   echo ${TempMediaSecurityLogFileSpec}
fi

EmailSubject="\"i500 Automated Log Delivery\""

echo "email -s ${EmailSubject} -r ${ServerIP} -f ${SenderEmailAddr} -a ${TempDriveLogFileSpec},${TempTapeAlertLogFileSpec},${TempMediaUsageLogFileSpec},${TempMediaSecurityLogFileSpec} ${TargetEmailAddr} < ${ARNtempBodyFilespec}"
eval "email -s ${EmailSubject} -r ${ServerIP} -f ${SenderEmailAddr} -a ${TempDriveLogFileSpec},${TempTapeAlertLogFileSpec},${TempMediaUsageLogFileSpec},${TempMediaSecurityLogFileSpec} ${TargetEmailAddr} < ${ARNtempBodyFilespec}"

eval "rm -rf ${TempDriveLogFileSpec}"
eval "rm -rf ${TempMediaUsageLogFileSpec}"
eval "rm -rf ${TempTapeAlertLogFileSpec}"
eval "rm -rf ${TempMediaSecurityLogFileSpec}"
eval "rm -rf ${ARNtempBodyFilespec}"
