#!/bin/sh
#
# $Id: bin/getfwver.sh 1.18 2010/03/17 13:36:43MST Bill Gray (bgray) dev  $
##

applicationHome="/home/embedded/library"
#applicationHome="/tmp"
distributionVersion=000

distribution="$1"

## Source include file.
. ${applicationHome}/AppManager/bin/include.sh


#########################################
# Get the version of distribution
# Inputs: 
#     1. Distribution location
#########################################
GetDistributionVersion()
{
#   local distribution="$1"
   local version=0

   LogTrace "Get distribution version" 
   if [ -f "/tmp/S101CoreVersion.cpp" ]; then
      RunCommand "rm /tmp/S101CoreVersion.cpp"
   fi
#   echo "$distribution Running the tar on ${distribution}"
   RunCommand "tar -C /tmp -xf ${distribution} home/embedded/library/S101CoreVersion.cpp"
#   echo "Running the mv"
   RunCommand "mv /tmp/home/embedded/library/S101CoreVersion.cpp /tmp/"
   version=`cat /tmp/S101CoreVersion.cpp  | grep FirmwareImageVersion | grep 'const char' | awk -F\" '{print $2}' 2>>${I500_APPLICATION_MANAGER_LOG_FILE}`
   if [ "${version}" != "" ]; then
      LogTrace "Distribution $distribution has version $version" 
      distributionVersion=`echo ${version} | cut -c1,2,3`
   else
      LogError "Could not get distribution version." 
   fi

   # No matter what happend - lets delete the files so they don't get confised 
   # with the ones from a FirwareUpdate file.
   RunCommand "rm -rf /tmp/home"
   RunCommand "rm -f /tmp/S101CoreVersion.cpp"

   # Return the version we found
   echo "$distributionVersion"
}

#########################################
# Usage: Display usage
# Inputs: None
#
#########################################
Usage()
{
   echo "Usage: $0 -f 'filename'

   -f the name of the file to find the version of.
   -h show this message
   ";
   exit 0
}

#################################################################################
####                               M A I N                                   ####
#################################################################################
#echo "We are at main of getsrver.sh"

whatToUpgrade=""
FileName=""

## Parce arguments
while getopts "f:h:" opt
do
   case "$opt" in
      f) FileName="$OPTARG"
      ;;
      h) Usage
      ;;
      *) Usage
      ;;
   esac
done

if [ $# -eq 0 ]; then
   ## default if no arguments
   Usage
fi

InitLogFile "/var/log/appManager.log"


## Create RAM Disk
#commandOut=`mount | grep '/dev/ram0 on' >/dev/null`
#if [ $? -eq 0 ]; then
#   LogTrace "RAM Disk already mounted, lets unmount it" 
#   UnmountRAMdisk
#fi


 GetDistributionVersion "${FileName}"
#echo $GetDistributionVersion


exit 0
